ModelObjectBuilder
Keywords: uk.ac.ic.doc.automed.p2p.tree.ModelObjectBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class ModelObjectBuilder

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
          uk.ac.ic.doc.automed.p2p.tree.ModelObjectBuilder

    public class ModelObjectBuilder

extends ObjectBuilder

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`modelMap, schemaMap, tree`

Constructor Summary
`ModelObjectBuilder(Root root)` Creates a new instance of ModelObjectBuilder

Method Summary
`java.util.List` | `createAutoMedObjectsFromTree(boolean overwrite)` An overloading method for creating `Model` object.
`Model` | `createModel(AutoMedObject objectNode, boolean overwrite)` Create a model object from the corresponding tree
`protected Model` | `initModel(AutoMedObject node, boolean overwrite)` An overloading method to initialise a new `Model` object.

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`addDomainSpecToSchema, addObjectsToSchema, createAccessMethod, createAutoMedObjectsFromTree, createModel, createPathway, createSchema, createSchema, getModelMap, getSchemaMap, initSchema, retractModel, retractSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelObjectBuilder

    public ModelObjectBuilder(Root root)

  Creates a new instance of ModelObjectBuilder

Method Detail

### createAutoMedObjectsFromTree

    public java.util.List createAutoMedObjectsFromTree(boolean overwrite)
                                                throws AutoMedTreeException

  An overloading method for creating `Model` object. It takes several
  optional arguments

  Parameters:
    `overwrite` - whether or not to overwrite a model if it already exists
  Throws:
    `AutoMedTreeException`

### createModel

    public Model createModel(AutoMedObject objectNode,
                             boolean overwrite)
                      throws AutoMedTreeException

  Create a model object from the corresponding tree

  Throws:
    `AutoMedTreeException`

### initModel

    protected Model initModel(AutoMedObject node,
                              boolean overwrite)
                       throws AutoMedException

  An overloading method to initialise a new `Model` object. It checks to see if the `Model` already exists, if so and the overwrite flag
  has been set then it remove existing one before trying to create a new one.

  Parameters:
    `model` - the `Model` object
  Throws:
    `AutoMedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD